com.icl.saxon.charcode

## Class ASCIICharacterSet

- java.lang.Object
- - com.icl.saxon.charcode.ASCIICharacterSet

- All Implemented Interfaces:
    CharacterSet

      public class ASCIICharacterSet
      extends java.lang.Object
      implements CharacterSet

  This class defines properties of the US-ASCII character set

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASCIICharacterSet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `inCharset(int c)` Determine if a character is present in the character set

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ASCIICharacterSet

          public ASCIICharacterSet()

  - ### Method Detail

    - #### inCharset

          public final boolean inCharset(int c)

      Description copied from interface: `CharacterSet`
      Determine if a character is present in the character set
      Specified by:
        `inCharset` in interface `CharacterSet`